#include <dune/common/exceptions.hh>

template <> struct StringToEnum<Config::scheme> {
  static Config::scheme convert(std::string const &s) {
    if (s == "newmark")
      return Config::Newmark;

    if (s == "backwardEuler")
      return Config::BackwardEuler;

    DUNE_THROW(Dune::Exception, "failed to parse enum");
  }
};
