#include <dune/common/bitsetvector.hh>
#include <dune/istl/bvector.hh>

using BitVectorType = Dune::BitSetVector<1>;
using SingletonVectorType = Dune::BlockVector<Dune::FieldVector<double, 1>>;
using VectorType2 = Dune::BlockVector<Dune::FieldVector<double, 2>>;
using VectorType3 = Dune::BlockVector<Dune::FieldVector<double, 3>>;

template class FrictionWriter<BitVectorType>;

template void FrictionWriter<BitVectorType>::writeInfo(
    SingletonVectorType const &alpha, VectorType2 const &u,
    VectorType2 const &v);
template void FrictionWriter<BitVectorType>::writeInfo(
    SingletonVectorType const &alpha, VectorType3 const &u,
    VectorType3 const &v);
